const formatTime = date => {
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  const hour = date.getHours();
  const minute = date.getMinutes();
  const second = date.getSeconds();
  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':');
};

const formatNumber = n => {
  n = n.toString();
  return n[1] ? n : '0' + n;
};
function  resetNum(num, type = 'first', fixNum = 4) {
	const pow = Math.pow(10, fixNum);
	if (type === 'end') {
		return (Number(num) / pow).toFixed(2)
	}
	return Number(num) * pow
	  
  }
function setTabBarBadge (num, index = 1) {
	if (num < 1) {
		uni.removeTabBarBadge({
			index
		})
		return
	}
	uni.setTabBarBadge({
	  //给tabBar添加角标
	  index,
	  text: String(num)
	});
}
module.exports = {
  formatTime: formatTime,
  resetNum,
  setTabBarBadge
};